nxt.http.callers

## Class CreateTransactionCallBuilder<T extends APICall.Builder>

- java.lang.Object
- - nxt.http.APICall.Builder<T>
  - - nxt.http.callers.CreateTransactionCallBuilder<T>

- Direct Known Subclasses:
    ApproveTransactionCall, BundleTransactionsCall, BuyAliasCall, CancelAskOrderCall, CancelBidOrderCall, CancelCoinExchangeCall, CastVoteCall, CreatePollCall, CurrencyBuyCall, CurrencyMintCall, CurrencyReserveClaimCall, CurrencyReserveIncreaseCall, CurrencySellCall, DeleteAccountPropertyCall, DeleteAliasCall, DeleteAssetPropertyCall, DeleteAssetSharesCall, DeleteContractReferenceCall, DeleteCurrencyCall, DgsDelistingCall, DgsDeliveryCall, DgsFeedbackCall, DgsListingCall, DgsPriceChangeCall, DgsPurchaseCall, DgsQuantityChangeCall, DgsRefundCall, DividendPaymentCall, ExchangeCoinsCall, IncreaseAssetSharesCall, IssueAssetCall, IssueCurrencyCall, LeaseBalanceCall, PlaceAskOrderCall, PlaceBidOrderCall, PublishExchangeOfferCall, SellAliasCall, SendMessageCall, SendMoneyCall, SetAccountInfoCall, SetAccountPropertyCall, SetAliasCall, SetAssetPropertyCall, SetContractReferenceCall, SetPhasingAssetControlCall, SetPhasingOnlyControlCall, ShufflingCancelCall, ShufflingCreateCall, ShufflingProcessCall, ShufflingRegisterCall, ShufflingVerifyCall, TransferAssetCall, TransferCurrencyCall, UploadTaggedDataCall

      public class CreateTransactionCallBuilder<T extends APICall.Builder>
      extends APICall.Builder<T>

- - ### Field Summary

    - ### Fields inherited from class nxt.http.APICall.Builder

      `params`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `CreateTransactionCallBuilder(ApiSpec apiSpec)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `broadcast(boolean broadcast)`
    `T` | `compressMessageToEncrypt(java.lang.String compressMessageToEncrypt)`
    `T` | `compressMessageToEncryptToSelf(java.lang.String compressMessageToEncryptToSelf)`
    `T` | `deadline(int deadline)`
    `T` | `ecBlockHeight(int ecBlockHeight)`
    `T` | `ecBlockId(long ecBlockId)`
    `T` | `ecBlockId(java.lang.String ecBlockId)`
    `T` | `encryptedMessageData(byte[] encryptedMessageData)`
    `T` | `encryptedMessageData(java.lang.String encryptedMessageData)`
    `T` | `encryptedMessageIsPrunable(boolean encryptedMessageIsPrunable)`
    `T` | `encryptedMessageNonce(byte[] encryptedMessageNonce)`
    `T` | `encryptedMessageNonce(java.lang.String encryptedMessageNonce)`
    `T` | `encryptToSelfMessageData(byte[] encryptToSelfMessageData)`
    `T` | `encryptToSelfMessageData(java.lang.String encryptToSelfMessageData)`
    `T` | `encryptToSelfMessageNonce(byte[] encryptToSelfMessageNonce)`
    `T` | `encryptToSelfMessageNonce(java.lang.String encryptToSelfMessageNonce)`
    `T` | `message(java.lang.String message)`
    `T` | `messageIsPrunable(boolean messageIsPrunable)`
    `T` | `messageIsText(boolean messageIsText)`
    `T` | `messageToEncrypt(java.lang.String messageToEncrypt)`
    `T` | `messageToEncryptIsText(boolean messageToEncryptIsText)`
    `T` | `messageToEncryptToSelf(java.lang.String messageToEncryptToSelf)`
    `T` | `messageToEncryptToSelfIsText(boolean messageToEncryptToSelfIsText)`
    `T` | `minBundlerBalanceFXT(long minBundlerBalanceFXT)`
    `T` | `minBundlerFeeLimitFQT(long minBundlerFeeLimitFQT)`
    `T` | `phased(boolean phased)`
    `T` | `phasingExpression(java.lang.String phasingExpression)`
    `T` | `phasingFinishHeight(int phasingFinishHeight)`
    `T` | `phasingHashedSecret(java.lang.String phasingHashedSecret)`
    `T` | `phasingHashedSecretAlgorithm(byte phasingHashedSecretAlgorithm)`
    `T` | `phasingHolding(long phasingHolding)`
    `T` | `phasingHolding(java.lang.String phasingHolding)`
    `T` | `phasingLinkedTransaction(java.lang.String... phasingLinkedTransaction)`
    `T` | `phasingMinBalance(long phasingMinBalance)`
    `T` | `phasingMinBalanceModel(byte phasingMinBalanceModel)`
    `T` | `phasingParams(java.lang.String phasingParams)`
    `T` | `phasingQuorum(long phasingQuorum)`
    `T` | `phasingRecipientPropertyName(java.lang.String phasingRecipientPropertyName)`
    `T` | `phasingRecipientPropertySetter(java.lang.String phasingRecipientPropertySetter)`
    `T` | `phasingRecipientPropertyValue(java.lang.String phasingRecipientPropertyValue)`
    `T` | `phasingSenderPropertyName(java.lang.String phasingSenderPropertyName)`
    `T` | `phasingSenderPropertySetter(java.lang.String phasingSenderPropertySetter)`
    `T` | `phasingSenderPropertyValue(java.lang.String phasingSenderPropertyValue)`
    `T` | `phasingSubPolls(java.lang.String phasingSubPolls)`
    `T` | `phasingVotingModel(byte phasingVotingModel)`
    `T` | `phasingWhitelisted(java.lang.String... phasingWhitelisted)`
    `T` | `publicKey(byte[] publicKey)`
    `T` | `publicKey(java.lang.String publicKey)`
    `T` | `recipientPublicKey(byte[] recipientPublicKey)`
    `T` | `recipientPublicKey(java.lang.String recipientPublicKey)`
    `T` | `referencedTransaction(java.lang.String referencedTransaction)`
    `T` | `timestamp(int timestamp)`
    `T` | `voucher(boolean voucher)`

    - ### Methods inherited from class nxt.http.APICall.Builder

      `build, call, chain, chain, download, feeNQT, feeRateNQTPerFXT, getBlock, getBlocks, getChain, getCreatedTransaction, getCreatedTransactions, getParam, getTransaction, getTransactions, getTransactions, isParamSet, isRemoteOnly, param, param, param, param, param, param, param, param, param, param, param, parts, recipient, recipient, remote, secretPhrase, setParamValidation, sharedPiece, sharedPieceAccount, trustRemoteCertificate, unsignedLongParam, unsignedLongParam`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CreateTransactionCallBuilder

          protected CreateTransactionCallBuilder(ApiSpec apiSpec)

  - ### Method Detail

    - #### broadcast

          public T broadcast(boolean broadcast)

    - #### phasingRecipientPropertyName

          public T phasingRecipientPropertyName(java.lang.String phasingRecipientPropertyName)

    - #### phasingQuorum

          public T phasingQuorum(long phasingQuorum)

    - #### encryptedMessageIsPrunable

          public T encryptedMessageIsPrunable(boolean encryptedMessageIsPrunable)

    - #### messageIsPrunable

          public T messageIsPrunable(boolean messageIsPrunable)

    - #### voucher

          public T voucher(boolean voucher)

    - #### compressMessageToEncryptToSelf

          public T compressMessageToEncryptToSelf(java.lang.String compressMessageToEncryptToSelf)

    - #### publicKey

          public T publicKey(java.lang.String publicKey)

    - #### publicKey

          public T publicKey(byte[] publicKey)

    - #### phasingExpression

          public T phasingExpression(java.lang.String phasingExpression)

    - #### phasingSubPolls

          public T phasingSubPolls(java.lang.String phasingSubPolls)

    - #### ecBlockId

          public T ecBlockId(java.lang.String ecBlockId)

    - #### ecBlockId

          public T ecBlockId(long ecBlockId)

    - #### phased

          public T phased(boolean phased)

    - #### phasingHashedSecret

          public T phasingHashedSecret(java.lang.String phasingHashedSecret)

    - #### phasingHolding

          public T phasingHolding(java.lang.String phasingHolding)

    - #### phasingHolding

          public T phasingHolding(long phasingHolding)

    - #### encryptedMessageData

          public T encryptedMessageData(java.lang.String encryptedMessageData)

    - #### encryptedMessageData

          public T encryptedMessageData(byte[] encryptedMessageData)

    - #### phasingRecipientPropertySetter

          public T phasingRecipientPropertySetter(java.lang.String phasingRecipientPropertySetter)

    - #### messageToEncryptIsText

          public T messageToEncryptIsText(boolean messageToEncryptIsText)

    - #### messageToEncryptToSelf

          public T messageToEncryptToSelf(java.lang.String messageToEncryptToSelf)

    - #### messageToEncrypt

          public T messageToEncrypt(java.lang.String messageToEncrypt)

    - #### messageIsText

          public T messageIsText(boolean messageIsText)

    - #### phasingMinBalance

          public T phasingMinBalance(long phasingMinBalance)

    - #### deadline

          public T deadline(int deadline)

    - #### timestamp

          public T timestamp(int timestamp)

    - #### phasingWhitelisted

          public T phasingWhitelisted(java.lang.String... phasingWhitelisted)

    - #### messageToEncryptToSelfIsText

          public T messageToEncryptToSelfIsText(boolean messageToEncryptToSelfIsText)

    - #### referencedTransaction

          public T referencedTransaction(java.lang.String referencedTransaction)

    - #### recipientPublicKey

          public T recipientPublicKey(java.lang.String recipientPublicKey)

    - #### recipientPublicKey

          public T recipientPublicKey(byte[] recipientPublicKey)

    - #### phasingSenderPropertySetter

          public T phasingSenderPropertySetter(java.lang.String phasingSenderPropertySetter)

    - #### minBundlerFeeLimitFQT

          public T minBundlerFeeLimitFQT(long minBundlerFeeLimitFQT)

    - #### phasingSenderPropertyName

          public T phasingSenderPropertyName(java.lang.String phasingSenderPropertyName)

    - #### encryptedMessageNonce

          public T encryptedMessageNonce(java.lang.String encryptedMessageNonce)

    - #### encryptedMessageNonce

          public T encryptedMessageNonce(byte[] encryptedMessageNonce)

    - #### message

          public T message(java.lang.String message)

    - #### encryptToSelfMessageData

          public T encryptToSelfMessageData(java.lang.String encryptToSelfMessageData)

    - #### encryptToSelfMessageData

          public T encryptToSelfMessageData(byte[] encryptToSelfMessageData)

    - #### phasingRecipientPropertyValue

          public T phasingRecipientPropertyValue(java.lang.String phasingRecipientPropertyValue)

    - #### encryptToSelfMessageNonce

          public T encryptToSelfMessageNonce(java.lang.String encryptToSelfMessageNonce)

    - #### encryptToSelfMessageNonce

          public T encryptToSelfMessageNonce(byte[] encryptToSelfMessageNonce)

    - #### phasingLinkedTransaction

          public T phasingLinkedTransaction(java.lang.String... phasingLinkedTransaction)

    - #### phasingFinishHeight

          public T phasingFinishHeight(int phasingFinishHeight)

    - #### compressMessageToEncrypt

          public T compressMessageToEncrypt(java.lang.String compressMessageToEncrypt)

    - #### phasingParams

          public T phasingParams(java.lang.String phasingParams)

    - #### phasingHashedSecretAlgorithm

          public T phasingHashedSecretAlgorithm(byte phasingHashedSecretAlgorithm)

    - #### ecBlockHeight

          public T ecBlockHeight(int ecBlockHeight)

    - #### minBundlerBalanceFXT

          public T minBundlerBalanceFXT(long minBundlerBalanceFXT)

    - #### phasingMinBalanceModel

          public T phasingMinBalanceModel(byte phasingMinBalanceModel)

    - #### phasingVotingModel

          public T phasingVotingModel(byte phasingVotingModel)

    - #### phasingSenderPropertyValue

          public T phasingSenderPropertyValue(java.lang.String phasingSenderPropertyValue)